%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

%global name1 qpid-cpp

# Release numbers
%global qpid_release        0.6
%global qpid_svnrev         895736
%global store_svnrev        3795

Name:           mingw32-%{name1}
Version:        %{qpid_release}.%{qpid_svnrev}
Release:        1%{?dist}
Summary:        MinGW Windows port of AMQP C++ Daemons and Libraries

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://qpid.apache.org

Source0:        %{name1}-%{version}.tar.gz
Source1:        store-%{qpid_release}.%{store_svnrev}.tar.gz
Source2:        qpidd.pp

Patch0:         so_number.patch
Patch1:		xqilla.patch
Patch2:		boost_system.patch
Patch3:		db4.patch
Patch4:		qpidd.patch
Patch5:		qmf.rb.patch
Patch6:		qpid-mingw.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires: redhat-rpm-config cmake make ruby ruby-devel python-devel
BuildRequires: mingw32-gcc-c++ mingw32-boost mingw32-libxslt mingw32-gnutls
Requires:      mingw32-boost mingw32-libxslt mingw32-gnutls 

%description
MinGW cross-compiled daemons and run-time libraries for AMQP client
applications developed using Qpid C++. Clients exchange messages with
an AMQP message broker using the AMQP protocol.

%{_mingw32_debug_package}

%prep
%setup -q -n %{name1}-%{version}
%setup -q -T -D -b 1 -n %{name1}-%{version}
%patch0
%patch1
%patch2
%patch4
%patch5
%patch6
pushd ../store-%{qpid_release}.%{store_svnrev}
%patch3
popd

%build
%{__mkdir_p} build
pushd build
%_mingw32_cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo \
                -DBUILD_MSSQL:BOOL=OFF ../cpp
popd
make -C build VERBOSE=1 %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make -C build VERBOSE=1 install

# Don't package sources in the examples directory
rm -rf $RPM_BUILD_ROOT%{_mingw32_prefix}/examples

# Maybe install some test programs for validation
#%{__install} -d $RPM_BUILD_ROOT $RPM_BUILD_ROOT%{_mingw32_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_mingw32_prefix}/conf
%{_mingw32_prefix}/plugins
%{_mingw32_prefix}/managementgen
%{_mingw32_includedir}/qpid
%{_mingw32_bindir}/qpidd.exe
%{_mingw32_bindir}/*.dll
%{_mingw32_bindir}/lib*.dll.a

%changelog
* Fri Sep 10 2010 Andrew Beekhof <andrew@beekhof.net> - 0.6.895736-1
- Initial package creation
